{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="{{ testimonial.testimonial|raw|slice(0, 100) ~ '...' }}"/>
	<meta property="og:type" content="article"/>
	<meta property="og:title" content="{{ testimonial.title }}"/>
	<meta property="og:description" content="{{ testimonial.testimonial|raw|slice(0, 100) ~ '...' }}"/>
{% endblock %}

{% block title %}
	{{ testimonial.title }}
{% endblock %}

{% block body %}
	<article class="container testimonial">
		{% for alert in app.flashes('success') %}
			<div class="comments__validation">
				{% include 'components/_alert.html.twig' with {
					'class': 'alert alert__success',
					'content': alert
				} %}
			</div>
		{% endfor %}

		<h2 class="subtitle center">Publié le
			{{ testimonial.createdAt|date("d/m/Y") }}</h2>
		<h1 class="title title--1 center">{{ testimonial.title }}</h1>
		<p class="title title--4 center">Ecrit par EmilienGts - Environ
			{{ testimonial.readingTime }}
			min. de lecture</p>

		<div class="testimonial__thumbnail">
			<img src="{{ vich_uploader_asset(testimonial, 'imageFile') | imagine_filter('basic_thumbnail') }}" alt="{{ testimonial.imageName }}">
		</div>

		<div class="testimonial__person">
			<div class="profile">
				<img src="{{ testimonial.isMan ? asset('build/images/man.svg') : asset('build/images/woman.svg') }}" alt="">
			</div>
			<div class="details">
				<div class="name">{{ testimonial.fullName }}</div>
				<div class="city">{{ testimonial.city }}</div>
			</div>
		</div>

		<div class="testimonial__breadcrumbs">
			{{ wo_render_breadcrumbs() }}
		</div>

		<div class="testimonial__content">
			{{ testimonial.testimonial|raw }}
		</div>

		<hr>

		<div class="testimonial__comments">
			<div class="comment__new {{ app.user ? 'connected' : 'disconnected' }}">
				{% if app.user %}
					<form method="POST" class="form">
						<div class="form__row">
							{% include 'components/form/_group.html.twig' with {
								'size': 'full',
								'element': form.content
							}  %}
						</div>

						<div class="form__group">
							{{ form_row(form._token) }}
						</div>

						<div class="form__submit">
							{% include 'components/_button.html.twig' with {
							'class': 'button button__primary',
							'type': 'submit',
							'path': null,
							'label': 'Soumettre mon commentaire'
						} %}
						</div>
					</form>
				{% else %}
					{% include 'components/_alert.html.twig' with {
						'class': 'alert alert__info',
						'content': 'Pour proposer un commentaire, veuillez vous connectez.'
					} %}
				{% endif %}
			</div>

			{% include 'components/comments/_comments.html.twig' with {
				'comments': comments
			} %}
		</div>

		<hr>

		<div class="testimonial__similar">
			<div class="testimonials__list">
				{% for testimonial in lastTestimonials %}
					{% include 'components/card/_card.html.twig' with {
						'big' : false,
						'path': {
							'name': 'testimonial_show',
							'args': {slug: testimonial.slug}
						},
						'thumbnail': {
							'item': testimonial,
							'alt': testimonial.imageName
						},
						'title': testimonial.title,
						'publishedAt': testimonial.createdAt
					} %}
				{% endfor %}
			</div>
		</div>

	</article>
{% endblock %}
